FileNode (Jemboss API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.gui.filetree
Class FileNode

    java.lang.Object
      |
      +--javax.swing.tree.DefaultMutableTreeNode
            |
            +--org.emboss.jemboss.gui.filetree.FileNode

All Implemented Interfaces:
  java.lang.Cloneable, javax.swing.tree.MutableTreeNode, java.io.Serializable, java.awt.datatransfer.Transferable, javax.swing.tree.TreeNode

public class FileNode
extends javax.swing.tree.DefaultMutableTreeNode
implements java.awt.datatransfer.Transferable, java.io.Serializable

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.tree.DefaultMutableTreeNode
``

Field Summary
`private boolean` | `explored`
`static java.awt.datatransfer.DataFlavor` | `FILENODE`
`(package private) static java.awt.datatransfer.DataFlavor[]` | `flavors`

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Constructor Summary
`FileNode(java.io.File file)`

Method Summary
`void` | `explore()`
`boolean` | `getAllowsChildren()`
`java.io.File` | `getFile()`
`java.lang.Object` | `getTransferData(java.awt.datatransfer.DataFlavor d)`
`java.awt.datatransfer.DataFlavor[]` | `getTransferDataFlavors()`
`boolean` | `isDataFlavorSupported(java.awt.datatransfer.DataFlavor f)`
`boolean` | `isDirectory()`
`boolean` | `isExplored()`
`boolean` | `isLeaf()`
`private void` | `readObject(java.io.ObjectInputStream in)`
`void` | `reExplore()`
`java.lang.String` | `toString()`
`private void` | `writeObject(java.io.ObjectOutputStream out)`

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode
`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### explored

    private boolean explored

### FILENODE

    public static java.awt.datatransfer.DataFlavor FILENODE

### flavors

    static java.awt.datatransfer.DataFlavor[] flavors

Constructor Detail

### FileNode

    public FileNode(java.io.File file)

Method Detail

### getAllowsChildren

    public boolean getAllowsChildren()

  Specified by:
    `getAllowsChildren` in interface `javax.swing.tree.TreeNode`
  Overrides:
    `getAllowsChildren` in class `javax.swing.tree.DefaultMutableTreeNode`

### isLeaf

    public boolean isLeaf()

  Specified by:
    `isLeaf` in interface `javax.swing.tree.TreeNode`
  Overrides:
    `isLeaf` in class `javax.swing.tree.DefaultMutableTreeNode`

### getFile

    public java.io.File getFile()

### isExplored

    public boolean isExplored()

### isDirectory

    public boolean isDirectory()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `javax.swing.tree.DefaultMutableTreeNode`

### explore

    public void explore()

### reExplore

    public void reExplore()

### getTransferDataFlavors

    public java.awt.datatransfer.DataFlavor[] getTransferDataFlavors()

  Specified by:
    `getTransferDataFlavors` in interface `java.awt.datatransfer.Transferable`

### isDataFlavorSupported

    public boolean isDataFlavorSupported(java.awt.datatransfer.DataFlavor f)

  Specified by:
    `isDataFlavorSupported` in interface `java.awt.datatransfer.Transferable`

### getTransferData

    public java.lang.Object getTransferData(java.awt.datatransfer.DataFlavor d)
                                     throws java.awt.datatransfer.UnsupportedFlavorException,
                                            java.io.IOException

  Specified by:
    `getTransferData` in interface `java.awt.datatransfer.Transferable`
    `java.awt.datatransfer.UnsupportedFlavorException`
    `java.io.IOException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

    `java.io.IOException`

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

    `java.io.IOException`
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD